Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IMouseInput

All Known Implementing Classes:
  FButton, FCheckBox, FCheckBoxMenuItem, FComboBox, FDialog, FEditorPane, FFrame, FInternalFrame, FLabel, FList, FMenu, FMenuBar, FMenuItem, FPanel, FPasswordField, FPopupMenu, FRadioButton, FRadioButtonMenuItem, FTable, FTextArea, FTextField, FTextPane, FToggleButton, FToolBar, FTree

public interface IMouseInput

Interface fuer Mouse- und MouseMotionEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer Mouse- und MouseMotionEvents festgelegt. Dabei handelt es sich um eine Zusammenfassung der beiden Events aus dem AWT-Package.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addMouseInputListener(MouseInputListener listener)` Fuegt dem Control den uebergebenen Listener als Mouse- und MouseMotionListener hinzu.
`String` | `getActionClassForMouseInput()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.
`void` | `removeMouseInputListener(MouseInputListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForMouseInput(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

Method Detail

### getActionClassForMouseInput

    public String getActionClassForMouseInput()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer Mouse- oder MouseMotionEvent.

### setActionClassForMouseInput

    public void setActionClassForMouseInput(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer Mouse- oder MouseMotionEvent.

### addMouseInputListener

    public void addMouseInputListener(MouseInputListener listener)

  Fuegt dem Control den uebergebenen Listener als Mouse- und MouseMotionListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende Mouse- und MouseMotionListener.

### removeMouseInputListener

    public void removeMouseInputListener(MouseInputListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD